<?php
namespace app\index\model;

use think\Model;

class payordermodel extends Model
{
    protected $table = "t_payorder";

    public function insertData($data)
    {
        if (!isset($data['create_date']) || empty($data['create_date']) || !is_string($data['create_date'])) {
            $data['create_date'] = date("Y-m-d H:i:s");
        }
        if (isset($data['id'])) {
            unset($data['id']);
        }
        $data = $this->formatData($data);
        if (empty($data)) {
            return false;
        }
        $id = $this->insertGetId($data);
        return $id ? $id : false;
    }

    /**
     * 校验入库数据
     * 20220119
     */
    private function formatData($data)
    {
        $useData = [];
        $fields = $this->getTableFields();
        foreach ($data as $key => $value) {
            if (in_array($key, $fields)) {
                $useData[$key] = $value;
            }
        }
        return $useData;
    }
    public function getInfo($where, $field = "*", $row = true)
    {
        $info = $this->field($field)->where($where);
        if ($row) {
            $info = $info->find();
        } else {
            $info = $info->select();
        }
        return empty($info) ? false : $info;
    }

    public function updateinfo($where, $updateData)
    {
        $row = $this->where($where)->update($updateData);
        return empty($row) ? false : $row;
    }

    public function deleteinfo($where)
    {
        $row = $this->where($where)->delete();
        return empty($row) ? false : $row;
    }

    public function getList($where = [], $field = "*", $page = 1, $size = 10, $order = "id desc", $group = "", $row = false)
    {
        $sqlObj = $this->where($where);
        if ("count" != $field) {
            $sqlObj = $sqlObj->field($field)->order($order)->group($group)->page($page, $size);
            if ($row) {
                $data = $sqlObj->find();
            } else {
                $data = $sqlObj->select();
            }
        } else {
            $data = $sqlObj = $sqlObj->count();
        }
        return $data;
    }
    /**
     * 根据商户订单号获取订单信息
     *
     * @param  [type] $outorderno
     * @return void
     * @author wj
     * @date 2022-07-23
     */
    public function getorderinfobyoutorderno($outorderno)
    {
        $where = ['outorderno' => $outorderno];
        $info = $this->where($where)->find();
        return $info ? $info : false;
    }
    /**
     * 根据id改数据
     *
     * @param  [type] $id
     * @param  [type] $updateData
     * @return void
     * @author wj
     * @date 2022-07-23
     */
    public function updateinfobyid($id, $updateData)
    {
        $where = ['id' => $id];
        $row = $this->where($where)->upate($updateData);
        return $row ? $row : false;
    }
}
